org.apache.cassandra.cql3

## Class Json.Literal

- java.lang.Object
- - org.apache.cassandra.cql3.Json.Literal

All Implemented Interfaces:
  Json.Raw

Enclosing class:
  Json

    public static class Json.Literal
    extends java.lang.Object
    implements Json.Raw

Represents a literal JSON string in an INSERT JSON statement. For example: INSERT INTO mytable (key, col) JSON '{"key": 0, "col": 0}';

### Constructor Summary

Constructors
Constructor and Description
`Literal(java.lang.String text)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Json.Prepared` `prepareAndCollectMarkers(CFMetaData metadata, java.util.Collection<ColumnDefinition> receivers, VariableSpecifications boundNames)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Literal

    public Literal(java.lang.String text)

### Method Detail

#### prepareAndCollectMarkers

    public Json.Prepared prepareAndCollectMarkers(CFMetaData metadata,
                                                  java.util.Collection<ColumnDefinition> receivers,
                                                  VariableSpecifications boundNames)

Specified by:
  `prepareAndCollectMarkers` in interface `Json.Raw`